%global debug_package %{nil}
%global gitdate 20220313
%global gitrev 93f2a27

# checkout instructions
# git clone https://gitlab.gnome.org/jwestman/blueprint-compiler.git
# cd blueprint-compiler
# git rev-parse --short HEAD
# git archive --format=tar.gz --prefix=blueprint-compiler/ %%{gitrev} \
#     -o blueprint-compiler-%%{version}-%%{gitrev}.tar.gz

Name:           blueprint-compiler
Version:        0.1.0
Release:        0.2.%{gitdate}git%{gitrev}%{?dist}
Summary:        A markup language and compiler for GTK 4 user interfaces
# Main license is GPLv3+ in sources,
License:        GPLv3+

URL:            https://gitlab.gnome.org/jwestman/%{name}
Source0:        %{name}-%{version}-%{gitrev}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
#BuildArch:      noarch

%description
Blueprint helps you build user interfaces in GTK quickly and declaratively.
It has modern IDE features like code completion and hover documentation, and
the compiler points out mistakes early on so you can focus on making your app
look amazing.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}

%prep
%autosetup -p0 -n %{name}
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g'  %{name}.py

%build
%meson

%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/blueprintcompiler

%files devel
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Mon Mar 14 2022 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-0.2.20220313git93f2a27


* Sun Mar 06 2022 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-0.1.20220306gite6ad51c
- Initial Build
